%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-transaction-spi
Version:       7.3.0
Release:       5%{?dist}
Summary:       JBoss Transaction SPI
License:       LGPLv2+
URL:           https://github.com/jbosstm/jboss-transaction-spi
Source0:       https://github.com/jbosstm/jboss-transaction-spi/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
# https://issues.jboss.org/browse/JBTM-2698
Patch0:        https://github.com/jbosstm/jboss-transaction-spi/commit/7aa203f7fd6b182f9b7b47118af91f126e4e11fe.patch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.jandex:jandex-maven-plugin)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires: mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)

BuildArch:     noarch

%description
The Java Transaction SPI classes.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

# Replace jboss-connector-api_1.5_spec https://issues.jboss.org/browse/JBTM-2663
%pom_change_dep org.jboss.spec.javax.resource: :jboss-connector-api_1.7_spec

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 10 2016 gil cattaneo <puntogil@libero.it> 7.3.0-1
- Upstream release 7.3.0.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 7.1.0-1
- Upstream release 7.1.0.Final

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 7.0.2-1
- Upstream release 7.0.2.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 13 2013 Marek Goldmann <mgoldman@redhat.com> - 7.0.1-1
- Upstream release 7.0.1.Final
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 7.0.0-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 7.0.0-4
- Added BR: maven-enforcer-plugin

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Ricardo Arguello <ricardo@fedoraproject.org> 7.0.0-2
- Edited Summary and Description
- Removed -Dmaven.test.skip=true

* Fri Mar 9 2012 Ricardo Arguello <ricardo@fedoraproject.org> 7.0.0-1
- Cleanup of the spec file
- Upstream updated to 7.0.0.Final

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 7.0.0-0.1.CR2
- Initial packaging
